package rozwiazania_zadan.r1.z01_ziemniaki;

import javax.swing.JOptionPane;

public class Zakupy3 {

	public static void main(String[] args) {
		double cenaZ = Double.parseDouble(JOptionPane.showInputDialog("Ile kosztuje 1 kg ziemniaków?"));
		double iloscZ = Double.parseDouble(JOptionPane.showInputDialog("Ile kg ziemniaków kupujesz?"));
		double kosztZ = cenaZ * iloscZ;

		double cenaB = Double.parseDouble(JOptionPane.showInputDialog("Ile kosztuje 1 kg bananów?"));
		double iloscB = Double.parseDouble(JOptionPane.showInputDialog("Ile kg bananów kupujesz?"));
		double kosztB = cenaB * iloscB;
		
		double kosztSuma = kosztZ + kosztB;

		JOptionPane.showMessageDialog(null,
				String.format("Za %.3f kg ziemniaków płacisz %.2f zł\n"
						+ "Za %.3f kg bananów płacisz %.2f zł\n"
						+ "Łącznie płacisz %.2f zł",
						iloscZ, kosztZ, iloscB, kosztB, kosztSuma
					));
		
		if(kosztZ > kosztB) {
			JOptionPane.showMessageDialog(null, "Więcej kosztują ziemniaki.");
		} else if(kosztZ < kosztB) {
			JOptionPane.showMessageDialog(null, "Więcej kosztują banany.");
		} else {
			JOptionPane.showMessageDialog(null, "Za oba produkty płacisz tyle samo.");
		}
	}

}
